#!/bin/sh

set -eu

Main()
{
  ##############################################################################
  # INPUT
  ##############################################################################

    local node_version="${1? Missing node version!!!}"


  ##############################################################################
  # EXECUTION
  ##############################################################################

    curl -sL https://deb.nodesource.com/setup_"${node_version}".x | sh -

    apt install -y -q --no-install-recommends nodejs
}

Main "${@}"
